For the complete documentation index, see llms.txt. This page is also available as Markdown.

File

Retrieve file list.

get

Retrieve the list of files as ID's within your domain.

Authorizations
AuthorizationstringRequired

Please enter token

Path parameters
fileIdsstringRequired
Query parameters
fileIdsstring[]Optional

IDs of the files to be returned.

Example: ["38caa766-9dcd-4681-a955-cb3d9028b18f","963be853-fdcd-4681-a955-cb3d9028b18f"]
Header parameters
x-api-versionstringOptional
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Responses
200

OK

application/json
idstring · uuidOptional

The ID of the file.

Example: 063be713-f...
userEmailstring · nullableOptional

The email of the user (owner of the file).

Example: user@gmail.com
namestring · nullableOptional

Name of the file.

Example: My Test File
sizeinteger · int64Optional

File size.

Example: 1253
typestring · nullableOptional

File type.

Example: .xbrl
sha256string · nullableOptional

File checksum.

Example: 5B63E7C115FA...
createdOnstring · date-timeOptional

Date time of file creation.

Example: 2019-05-17
isDomainbooleanOptional
isPublicbooleanOptional
get/customer-corner/file/{fileIds}
GET /customer-corner/file/{fileIds} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": "063be713-f...",
    "userEmail": "user@gmail.com",
    "name": "My Test File",
    "size": 1253,
    "type": ".xbrl",
    "sha256": "5B63E7C115FA...",
    "createdOn": "2019-05-17",
    "isDomain": true,
    "isPublic": true,
    "history": [
      {
        "id": "dbe33c92-8...",
        "fileId": "063be713-f...",
        "action": "Downloaded",
        "atTime": "2019-05-20",
        "properties": [
          {
            "id": "063be713...",
            "type": "91063921-5...",
            "key": "NumberOfFacts",
            "value": "2"
          }
        ]
      }
    ],
    "properties": [
      {
        "id": "063be713...",
        "type": "91063921-5...",
        "key": "NumberOfFacts",
        "value": "2"
      }
    ]
  }
]

List user files.

get

Gives the list of files owned by the user defined by the user email.

Authorizations
AuthorizationstringRequired

Please enter token

Query parameters
idstringOptional

The user email.

Example: user@gmail.com
includeHistorybooleanOptional

Whether to include the history for each of the files.

Default: false
includePropertiesbooleanOptional

Whether to include the properties for each of the files.

Default: false
Header parameters
x-api-versionstringOptional
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Responses
200

OK

application/json
idstring · uuidOptional

The ID of the file.

Example: 063be713-f...
userEmailstring · nullableOptional

The email of the user (owner of the file).

Example: user@gmail.com
namestring · nullableOptional

Name of the file.

Example: My Test File
sizeinteger · int64Optional

File size.

Example: 1253
typestring · nullableOptional

File type.

Example: .xbrl
sha256string · nullableOptional

File checksum.

Example: 5B63E7C115FA...
createdOnstring · date-timeOptional

Date time of file creation.

Example: 2019-05-17
isDomainbooleanOptional
isPublicbooleanOptional
get/customer-corner/file
GET /customer-corner/file HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": "063be713-f...",
    "userEmail": "user@gmail.com",
    "name": "My Test File",
    "size": 1253,
    "type": ".xbrl",
    "sha256": "5B63E7C115FA...",
    "createdOn": "2019-05-17",
    "isDomain": true,
    "isPublic": true,
    "history": [
      {
        "id": "dbe33c92-8...",
        "fileId": "063be713-f...",
        "action": "Downloaded",
        "atTime": "2019-05-20",
        "properties": [
          {
            "id": "063be713...",
            "type": "91063921-5...",
            "key": "NumberOfFacts",
            "value": "2"
          }
        ]
      }
    ],
    "properties": [
      {
        "id": "063be713...",
        "type": "91063921-5...",
        "key": "NumberOfFacts",
        "value": "2"
      }
    ]
  }
]

Upload a file

post

Upload a file to the platform.

Authorizations
AuthorizationstringRequired

Please enter token

Header parameters
x-api-versionstringOptional
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Body
contentstring · byte · nullableOptionalExample: PD94bWwgdmVyc2lvbj0...
userIdstring · nullableOptionalExample: user@gmail.com
fileNamestring · nullableOptionalExample: My file.xbrl
Responses
200

The ID of the file ("38caa766-9dcd-4681-a955-cb3d9028b18f")

No content

post/customer-corner/file
POST /customer-corner/file HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 88

{
  "content": "PD94bWwgdmVyc2lvbj0...",
  "userId": "user@gmail.com",
  "fileName": "My file.xbrl"
}

No content

Delete file.

delete

Delete one or more file from the platform by ID.

Authorizations
AuthorizationstringRequired

Please enter token

Header parameters
x-api-versionstringOptional
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Bodystring[]
string[]Optional
Responses
200

The files were successfully deleted.

No content

delete/customer-corner/file
DELETE /customer-corner/file HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 33

[
  "063be713-f...",
  "963be853-f..."
]

No content

Was this helpful?